import React from 'react';
// @ts-ignore
import Inception from './Inception';
// @ts-ignore
import Droplets from './Droplets';
// @ts-ignore
import Triangle from './Triangle';
// @ts-ignore
import BaseRaymarching from './BaseRaymarching';
// @ts-ignore
import Menstom from './Menstom';
// @ts-ignore
import Collapse from './Collapse';
// @ts-ignore
import Torus from './Torus';
// @ts-ignore
import BaseLattice from './BaseLattice';

interface ShaderProps {
	name: string;
}

/**
 * @return {jsx} a shader
 */
export default function Shader({name}: ShaderProps) {
	let Shader: any = name;

	if (name == 'Inception') {
		Shader = <Inception />;
	} else if (name == 'Droplets') {
		Shader = <Droplets />;
	} else if (name == 'Triangle') {
		Shader = <Triangle />;
	} else if (name == 'BaseRaymarching') {
		Shader = <BaseRaymarching />;
	} else if (name == 'Menstom') {
		Shader = <Menstom />;
	} else if (name == 'Collapse') {
		Shader = <Collapse />;
	} else if (name == 'Torus') {
		Shader = <Torus />;
	} else if (name == 'BaseLattice') {
		Shader = <BaseLattice />;
	}

	return (
		<div className='shader'>
			{Shader}
		</div>
	);
}
